<?php

App::uses('EvCategoryAppController', 'EvCategory.Controller');

/**
 * EvCategory App Controller
 *
 * @package EvCategory
 */
class CategoriesController extends EvCategoryAppController {
	
/**
 * Set the max category children depth
 * @var integer
 */
	public $max_depth = 2; 

/**
 * Stub function
 * Used to populate form drop down selects
 *
 * Override in your controller to customise
 */
	protected function _adminPopulateLookups() {

		$Category = $this->{$this->modelClass};
		$this->set('productAttributes', $Category->ProductAttribute->find('list'));

	}

	public function admin_edit($id = null) {

		$Category = $this->{$this->modelClass};

		parent::admin_edit($id);

		//Only need to populate parents if we can have nested categories
		if($Category->max_depth < 1) {

			$this->set('parents', $Category->find('list', array(
						'conditions' => array(
							'parent_id' => null,
							'id <>' => $id
						)
					)
				)
			);

		}

	}


/**
 * Defines the fields displayed in an admin_form for this model
 *
 * Defaults to all fields in the db table
 *
 * Override in your controller to customise
 */
	protected function _adminFormFields() {

		$Model = $this->{$this->modelClass};
		$fields = parent::_adminFormFields();

		$fields[$Model->alias.'.product_attribute_id']['label'] = "Auto generate children from Attribute";
		$fields[$Model->alias.'.product_attribute_id']['type'] = "select";
		$fields[$Model->alias.'.product_attribute_id']['empty'] = "No";
		
		$fields[$Model->alias.'.parent_id']['empty'] = "No Parent";
		$fields[$Model->alias.'.parent_id']['type'] = "select";

		$fields['Route.alias']['url_prefix'] = 'category';

		return $fields;
	}

}